* {
  --RedOrange: #d83414;
  --EagleBlue: #1c2434;
  --BannerBlue: #1a2131;
  --Beige: #f3eedb;
  --White: #fdfaec;
  --AccentGreen: #c6cdbb;
  --Green: #afbc97;
  box-sizing: border-box;
  --main-color: var(--Green);
  --main-bg: var(--BannerBlue);
}

@font-face {
  font-family: 'raconteur';
  src: url("../fonts/raconteurnf-lole-webfont-3kAOKzL.woff2") format('woff2'),
    url("../fonts/raconteurnf-lole-webfont-6xWNHfR.woff") format('woff');
  font-weight: normal;
  font-style: normal;
}

body {
  margin: 0;
  background-color: var(--main-bg);
  color: var(--main-color);
  min-height: 100vh;
  font-family: "Cantata One";
  font-weight: 400;
  font-style: normal;
  font-size: 2em;
  display: flex;
  /* Flex Container */
  flex-direction: column;
  align-items: center;
}

#bg-vid {
  width: 1920px;
  position: fixed;
  left: 50%;
  top: -10vh;
  transform: translate(-50%);
  z-index: -1;
}

header {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  justify-items: center;
  align-items: center;
  width: 100%;
  margin-top: 25vh;
  position: sticky;
  top: 0;
  z-index: 100;
  max-width: 1920px;
}

#nav-left {
  width: 100%;
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(2, 1fr);
  grid-column-start: 1;
  grid-row-start: 1;
}

#nav-right {
  width: 100%;
  display: grid;
  justify-items: center;
  grid-template-columns: repeat(2, 1fr);
  grid-column-start: 3;
  grid-row-start: 1;
}

#header-home {
  grid-column-start: 2;
  grid-row-start: 1;
}

nav a {
  padding: .50em;
  font-size: 0.75em;
  text-decoration: none;
  background-color: var(--RedOrange);
  border-radius: 50%;
  font-weight: bold;
  filter: drop-shadow(0px 0px 10px black);
}

a:visited {
  color: var(--Beige);
}

a:link {
  color: var(--Beige);
}

#logo-container>a>img {
  max-width: 20vw;
  filter: drop-shadow(0px 0px 20px black);
}

main {
  margin: 1.0em;
  flex-grow: 1;
  max-width: 1920px;
}

footer {
  font-size: 0.50em;
  text-align: center;
  color: var(--main-color);
}

h1,
h2,
h3 {
  text-align: center;
  font-family: 'raconteur';
  letter-spacing: 0.1em;
}

div#home-amenities {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  flex-wrap: wrap;
}

div#home-amenities>img {
  margin: 064px;
  filter: drop-shadow(0px 0px 10px var(--RedOrange));
}

.explore-row {
  display: flex;
  align-items: center;
  max-width: 75%;
}

.explore-row>p {
  margin: 1em;
}

.explore-container {
  display: flex;
  flex-direction: column;
  align-items: center;
}

#menu-icon {
  display: none;
}

#reserve-button {
  display: none;
}

@media only screen and (max-width: 767px) {
  body {
    font-size: 1.25em;
  }

  #bg-vid {
    height: 050vh;
    top: 0;
  }

  main {
    margin-top: 22vh;
  }

  header {
    position: fixed;
    margin-top: 0;
    grid-template-columns: 1fr;
    grid-template-rows: auto repeat(2, 1fr);
  }

  #nav-left,
  #nav-right {
    background-color: var(--RedOrange);
    grid-template-columns: 1fr;
    grid-template-rows: repeat(2, 1fr);
    display: none;
  }

  .nav-open #nav-left,
  .nav-open #nav-right {
    display: grid;
  }

  #nav-left {
    grid-column-start: 1;
    grid-row-start: 2;
  }

  #nav-right {
    grid-column-start: 1;
    grid-row-start: 3;
  }

  #header-home {
    padding: .25em;
    text-align: center;
    width: 100%;
    grid-column-start: 1;
    grid-row-start: 1;
    background-color: var(--RedOrange);
    display: flex;
    justify-content: center;
  }

  #header-home>* {
    flex: 1;
  }

  #menu-icon-container {
    display: flex;
    justify-content: flex-start;
    align-items: center;
  }

  #reserve-button {
    display: flex;
    justify-content: flex-end;
    align-items: center;
  }

  #menu-icon {
    display: initial;
    max-width: 10vw;
    margin: 0.25em;
  }

  nav a {
    font-size: 1.50em;
    background-color: initial;
    filter: none;
  }

  #about,
  #policy,
  #reserve,
  #explore {
    padding: 1.00em;
  }

  div#home-amenities>img {
    margin: 016px;
    width: 128px;
  }

  .explore-row {
    flex-wrap: wrap;
  }
}